commit 17f568863370cea76d60d87d3911065a088528e3
Author: Alexander Oppermann <a.oppermann@bgbm.org>
Date:   Thu Oct 24 09:34:53 2013 +0000

    Major Update to cdmlib-3.3
    
    * Restructuring of vaadin Editor

diff --git a/.gitattributes b/.gitattributes
index 40a0c231f5..f8335da773 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -4,8 +4,10 @@
 cdmlib-commons/LICENSE.TXT -text
 cdmlib-commons/README.TXT -text
 cdmlib-commons/pom.xml -text
+cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/AbstractStringComparator.java -text
 cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/AccountStore.java -text
 cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/CdmUtils.java -text
+cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/DOI.java -text
 cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/DocUtils.java -text
 cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/DoubleResult.java -text
 cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/ExcelUtils.java -text
@@ -15,7 +17,9 @@ cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/ResultWrapper.java -text
 cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/StreamUtils.java -text
 cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/Tree.java -text
 cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/TreeNode.java -text
+cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/UTF8.java -text
 cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/UriUtils.java -text
+cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/UrlUtf8Coder.java -text
 cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/XmlHelp.java -text
 cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/media/AudioInfo.java -text
 cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/media/ImageInfo.java -text
@@ -31,6 +35,7 @@ cdmlib-commons/src/main/java/eu/etaxonomy/cdm/common/monitor/SubProgressMonitor.
 cdmlib-commons/src/main/resources/MUST-EXIST.txt -text
 cdmlib-commons/src/main/resources/log4j.properties -text
 cdmlib-commons/src/test/java/eu/etaxonomy/cdm/common/CdmUtilsTest.java -text
+cdmlib-commons/src/test/java/eu/etaxonomy/cdm/common/DoiTest.java -text
 cdmlib-commons/src/test/java/eu/etaxonomy/cdm/common/GeneralParserTest.java -text
 cdmlib-commons/src/test/java/eu/etaxonomy/cdm/common/UriUtilsTest.java -text
 cdmlib-commons/src/test/java/eu/etaxonomy/cdm/common/UuidGenerator.java -text
@@ -46,6 +51,10 @@ cdmlib-ext/pom.xml -text
 cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/bci/BciSchemaAdapter.java -text
 cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/bci/BciServiceWrapper.java -text
 cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/bci/IBciServiceWrapper.java -text
+cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQuery.java -text
+cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQueryGenerator.java -text
+cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQueryServiceWrapper.java -text
+cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseResponseSchemaAdapter.java -text
 cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/common/SchemaAdapterBase.java -text
 cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/common/ServiceWrapperBase.java -text
 cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/dc/DublinCoreSchemaAdapter.java -text
@@ -66,9 +75,11 @@ cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/openurl/MobotOpenUrlQuery.java -te
 cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/openurl/MobotOpenUrlResponseSchemaAdapter.java -text
 cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/openurl/MobotOpenUrlServiceWrapper.java -text
 cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/openurl/OpenUrlReference.java -text
+cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/scratchpads/ScratchpadsService.java -text
 cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/sru/SruServiceWrapper.java -text
 cdmlib-ext/src/main/resources/eu/etaxonomy/cdm/ext/geo/mapServices_v10.xsd -text
 cdmlib-ext/src/test/java/eu/etaxonomy/cdm/ext/bci/BciServiceTest.java -text
+cdmlib-ext/src/test/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQueryServiceWrapperTest.java -text
 cdmlib-ext/src/test/java/eu/etaxonomy/cdm/ext/geo/EditGeoServiceTest.java -text
 cdmlib-ext/src/test/java/eu/etaxonomy/cdm/ext/geo/GeoServiceAreaTest.java -text
 cdmlib-ext/src/test/java/eu/etaxonomy/cdm/ext/ipni/IpniServiceTest.java -text
@@ -76,10 +87,7 @@ cdmlib-ext/src/test/java/eu/etaxonomy/cdm/ext/openurl/MobotOpenUrlServiceWrapper
 cdmlib-ext/src/test/java/eu/etaxonomy/cdm/ext/sru/SruServiceWrapperTest.java -text
 cdmlib-ext/src/test/java/eu/etaxonomy/cdm/test/suite/CdmTestSuite.java -text
 cdmlib-ext/src/test/resources/dbscripts/001-cdm.h2.sql -text
-cdmlib-ext/src/test/resources/eu/etaxonomy/cdm.datasources.xml -text
 cdmlib-ext/src/test/resources/eu/etaxonomy/cdm/applicationContext-test.xml -text
-cdmlib-ext/src/test/resources/eu/etaxonomy/cdm/cdm.datasources.xml -text
-cdmlib-ext/src/test/resources/eu/etaxonomy/cdm/ext/dataset.dtd -text
 cdmlib-ext/src/test/resources/log4j.properties -text
 cdmlib-ext/src/test/resources/unitils.properties -text
 cdmlib-io/LICENSE.TXT -text
@@ -193,6 +201,7 @@ cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/ResultSetPartitioner.java -te
 cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/ResultSetProxy.java -text
 cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/Source.java -text
 cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/SourceConnectionException.java -text
+cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/TdwgAreaProvider.java -text
 cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/XmlExportConfiguratorBase.java -text
 cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/XmlExportState.java -text
 cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/XmlImportBase.java -text
@@ -681,6 +690,8 @@ cdmlib-model/LICENSE.TXT -text
 cdmlib-model/README.TXT -text
 cdmlib-model/pom.xml -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/aspectj/PropertyChangeAspect.aj -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/DOIUserType.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/EnumUserType.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/HibernateProxyHelper.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/PartialUserType.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/URIUserType.java -text
@@ -692,6 +703,7 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/search/ClassInfoBridge.jav
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/search/DateTimeBridge.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/search/DefinedTermBaseClassBridge.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/search/DescriptionBaseClassBridge.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/search/DoiBridge.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/search/GroupByTaxonClassBridge.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/search/IdFieldOptions.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/search/MultilanguageTextFieldBridge.java -text
@@ -699,6 +711,7 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/search/NotNullAwareIdBridg
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/search/PartialBridge.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/search/SortFieldOptions.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/search/StripHtmlBridge.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/search/TaxonRelationshipClassBridge.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/hibernate/search/UuidBridge.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/jaxb/CdmAccessor.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/jaxb/CdmAccessorFactoryImpl.java -text
@@ -722,34 +735,33 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/AgentBase.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/Contact.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/INomenclaturalAuthor.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/Institution.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/InstitutionType.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/InstitutionalMembership.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/Person.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/Team.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/TeamOrPersonBase.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/package-info.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/package.html -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/AbstractStringComparator.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/AnnotatableEntity.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/Annotation.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/AnnotationType.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/CdmBase.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/CdmMetaData.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/Credit.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/DefaultTermInitializer.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/DefinedTerm.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/DefinedTermBase.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/DescriptionElementSource.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/EnumeratedTermVoc.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/EventBase.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/Extension.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/ExtensionType.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/Figure.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/GrantedAuthorityImpl.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/Group.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IAnnotatableEntity.java -text svneol=unset#text/plain
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/ICdmBase.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IDefinedTerm.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IEnumTerm.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IEvent.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IIdentifiableEntity.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IKeyTerm.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/ILoadableTerm.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IMultiLanguageText.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IMultiLanguageTextHolder.java -text
@@ -757,7 +769,9 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IOriginalSource.java -t
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IParsable.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IReferencedEntity.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IRelated.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/ISimpleTerm.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/ISourceable.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/ITreeNode.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IVersionableEntity.java -text svneol=unset#text/plain
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IdentifiableEntity.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IdentifiableSource.java -text
@@ -775,6 +789,7 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/NoDefinedTermClassExcep
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OrderedTermBase.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OrderedTermVocabulary.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OriginalSourceBase.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OriginalSourceType.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/PersistentMultiLanguageText.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/PersistentMultiLanguageTextType.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/ReferencedEntityBase.java -text
@@ -783,6 +798,7 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/RelationshipTermBase.ja
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/Representation.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/TermBase.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/TermLanguageComparator.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/TermType.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/TermVocabulary.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/TimePeriod.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/User.java -text
@@ -801,6 +817,7 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/CategoricalData.ja
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/CommonTaxonName.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/DescriptionBase.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/DescriptionElementBase.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/DescriptionElementSource.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/DescriptiveSystemRole.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/Distribution.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/Feature.java -text
@@ -812,7 +829,6 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/IndividualsAssocia
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/KeyStatement.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MeasurementUnit.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MediaKey.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/Modifier.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/MultiAccessKey.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/NaturalLanguageTerm.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PolytomousKey.java -text
@@ -820,10 +836,7 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PolytomousKeyNode.
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PresenceAbsenceTermBase.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/PresenceTerm.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/QuantitativeData.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/Scope.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/Sex.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/SpecimenDescription.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/Stage.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/State.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/StateData.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/StatisticalMeasure.java -text
@@ -836,14 +849,13 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/TextFormat.java -t
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/WorkingSet.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/package-info.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/package.html -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/location/Continent.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/location/Country.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/location/NamedArea.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/location/NamedAreaLevel.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/location/NamedAreaType.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/location/Point.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/location/ReferenceSystem.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/location/TdwgArea.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/location/WaterbodyOrCountry.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/location/TdwgArea_Old.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/location/package-info.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/location/package.html -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/media/AudioFile.java -text
@@ -856,15 +868,22 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/media/MediaRepresentation.java
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/media/MediaRepresentationPart.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/media/MediaUtils.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/media/MovieFile.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/media/ReferencedMediaBase.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/media/Rights.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/media/RightsTerm.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/media/RightsType.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/media/package-info.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/metadata/CdmMetaData.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/metadata/CdmPreference.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/metadata/PreferencePredicate.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/metadata/PreferenceSubject.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/Amplification.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/Cloning.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/DnaSample.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/GenBankAccession.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/Locus.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/PhylogeneticTree.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/Primer.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/Sequence.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/SequenceDirection.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/SequenceString.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/SingleRead.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/package-info.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/molecular/package.html -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/BacterialName.java -text
@@ -883,6 +902,7 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NomenclaturalStatus.java
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NomenclaturalStatusType.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NonViralName.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/Rank.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/RankClass.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/SpecimenTypeDesignation.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/SpecimenTypeDesignationStatus.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TaxonNameBase.java -text
@@ -897,17 +917,14 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/Collection.java -te
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivationEvent.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivationEventType.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivedUnit.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivedUnitBase.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DeterminationEvent.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DeterminationModifier.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/FieldObservation.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/Fossil.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/FieldUnit.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/GatheringEvent.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/LivingBeing.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/Observation.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/MaterialOrMethodEvent.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/MediaSpecimen.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/PreservationMethod.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/Specimen.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/SpecimenOrObservationBase.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/SpecimenOrObservationType.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/package-info.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/package.html -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/overview.html -text
@@ -929,7 +946,7 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IProceedings.java -t
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IPublicationBase.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IReference.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IReport.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/ISectionBase.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/ISection.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IThesis.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IVolumeReference.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IWebPage.java -text
@@ -942,7 +959,7 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/package.html -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/AlternativeTreeRoot.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/Classification.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/ITaxonNodeComparator.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/ITreeNode.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/ITaxonTreeNode.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/IllegalAncestryException.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/Synonym.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/SynonymRelationship.java -text
@@ -980,6 +997,7 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/agent/TeamDefaultCach
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/common/IIdentifiableEntityCacheStrategy.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/common/IdentifiableEntityDefaultCacheStrategy.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/common/TermDefaultCacheStrategy.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/common/TimePeriodPartialFormatter.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/description/PolytomousKeyDefaultCacheStrategy.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/description/SpecimenDescriptionDefaultCacheStrategy.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/description/TaxonDescriptionDefaultCacheStrategy.java -text
@@ -1004,7 +1022,7 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/IReferenceB
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/InRefDefaultCacheStrategyBase.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/JournalDefaultCacheStrategy.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/NomRefDefaultCacheStrategyBase.java -text
-cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/ReferenceBaseDefaultCacheStrategy.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/ReferenceDefaultCacheStrategy.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/ThesisDefaultCacheStrategy.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/taxon/TaxonBaseDefaultCacheStrategy.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/exceptions/StringNotParsableException.java -text
@@ -1033,6 +1051,7 @@ cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/parser/NonViralNameParserIm
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/parser/ParserProblem.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/parser/SpecimenTypeParser.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/parser/TaxonNameParserHistory.java -text
+cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/parser/TimePeriodParser.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/parser/location/CoordinateConverter.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/validation/Level2.java -text
 cdmlib-model/src/main/java/eu/etaxonomy/cdm/validation/Level3.java -text
@@ -1068,8 +1087,11 @@ cdmlib-model/src/main/resources/log4j.properties -text
 cdmlib-model/src/main/resources/terms/AbsenceTerm.csv -text
 cdmlib-model/src/main/resources/terms/AnnotationType.csv -text
 cdmlib-model/src/main/resources/terms/Continent.csv -text
+cdmlib-model/src/main/resources/terms/Country.csv -text
 cdmlib-model/src/main/resources/terms/DerivationEventType.csv -text
 cdmlib-model/src/main/resources/terms/DeterminationModifier.csv -text
+cdmlib-model/src/main/resources/terms/DnaMarkerChloroplast.csv -text
+cdmlib-model/src/main/resources/terms/DnaMarkerEukaryote.csv -text
 cdmlib-model/src/main/resources/terms/ExtensionType.csv -text
 cdmlib-model/src/main/resources/terms/Feature.csv -text
 cdmlib-model/src/main/resources/terms/HybridRelationshipType.csv -text
@@ -1087,14 +1109,16 @@ cdmlib-model/src/main/resources/terms/NamedAreaType.csv -text
 cdmlib-model/src/main/resources/terms/NaturalLanguageTerm.csv -text
 cdmlib-model/src/main/resources/terms/NomenclaturalCode.csv -text
 cdmlib-model/src/main/resources/terms/NomenclaturalStatusType.csv -text
+cdmlib-model/src/main/resources/terms/PlantKindOfUnit.csv -text
 cdmlib-model/src/main/resources/terms/PresenceTerm.csv -text
 cdmlib-model/src/main/resources/terms/PreservationMethod.csv -text
 cdmlib-model/src/main/resources/terms/README.TXT -text
 cdmlib-model/src/main/resources/terms/Rank.csv -text
 cdmlib-model/src/main/resources/terms/ReferenceSystem.csv -text
-cdmlib-model/src/main/resources/terms/RightsTerm.csv -text
+cdmlib-model/src/main/resources/terms/RightsType.csv -text
 cdmlib-model/src/main/resources/terms/Scope.csv -text
 cdmlib-model/src/main/resources/terms/Sex.csv -text
+cdmlib-model/src/main/resources/terms/SpecimenKindOfUnit.csv -text
 cdmlib-model/src/main/resources/terms/SpecimenTypeDesignationStatus.csv -text
 cdmlib-model/src/main/resources/terms/Stage.csv -text
 cdmlib-model/src/main/resources/terms/State.csv -text
@@ -1104,7 +1128,7 @@ cdmlib-model/src/main/resources/terms/TaxonRelationshipType.csv -text
 cdmlib-model/src/main/resources/terms/TdwgArea.csv -text
 cdmlib-model/src/main/resources/terms/TextFormat.csv -text
 cdmlib-model/src/main/resources/terms/UndefinedLanguage.csv -text
-cdmlib-model/src/main/resources/terms/WaterbodyOrCountry.csv -text
+cdmlib-model/src/main/resources/terms/Waterbody.csv -text
 cdmlib-model/src/main/resources/update/update_for_security.sql -text
 cdmlib-model/src/main/resources/update/update_r2.1.2.2_r2.4.1.2.mysql.sql -text
 cdmlib-model/src/main/resources/update/update_term_r2.4.2.1-r2.4.2.2.mysql.sql -text
@@ -1112,12 +1136,10 @@ cdmlib-model/src/test/java/eu/etaxonomy/cdm/aspectj/PropertyChangeTest.java -tex
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/datagenerator/TaxonGenerator.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/DatabaseInitialiser.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/agent/AgentValidationTest.java -text
-cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/agent/InstitutionTypeTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/agent/InstitutionalMembershipTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/agent/TeamTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/AnnotationTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/CdmBaseTest.java -text
-cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/CdmMetaDataTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/DefaultTermInitializerTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/DefinedTermBaseTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/ExtensionTypeTest.java -text
@@ -1129,6 +1151,8 @@ cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/MarkerTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/MarkerTypeTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/OrderedTermBaseTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/OrderedTermVocabularyTest.java -text
+cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/OriginalSourceTypeTest.java -text
+cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/TermTypeTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/TermVocabularyTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/TimePeriodTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/common/init/DefaultTermInitializerTest.java -text
@@ -1145,6 +1169,9 @@ cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/location/PointTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/location/TdwgAreaTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/media/MediaTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/media/MediaUtilsTest.java -text
+cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/metadata/CdmMetaDataTest.java -text
+cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/metadata/CdmPreferenceTest.java -text
+cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/metadata/PreferenceSubjectTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/molecular/MolecularTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/name/BacterialNameTest.java -text
 cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/name/BotanicalNameTest.java -text
